Bug 534380 - (RHQ-1182) Provide a metric for apache ping time and actually return metrics not depending on SNMP
Provide a metric for apache ping time and actually return metrics not dependi...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Pavel Kralik
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On: RHQ-1594
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 10:10 EST by Heiko W. Rupp
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bild 2.png (13.58 KB, image/png)
2009-02-18 07:03 EST, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2008-11-25 10:10:00 EST
This encompasses two things:

- when pinging over http, return the time this ping took, as this is already an indicator if httpd is underload.
- If no snmp is configured, no metric would be returned - even those that can be obtained on a different way (e.g. the apache built trait).
Comment 1 Heiko W. Rupp 2008-11-25 11:09:31 EST
QA: make sure that if the plugin is using SNMP only, this metric is not shown and if the URL is present it is shown (does not matter if SNMP is enabled then).
If SNMP is not enabled, the "Server built" trait must show up nevertheless



DOCUMENTATION TO BE WRITTEN:  See also RHQ-1177

Comment 2 Heiko W. Rupp 2009-02-18 07:03:12 EST
Screenshot shows the graph that must show up if the url has been given even if no snmp is installed in the apache.
Comment 3 Pavel Kralik 2009-03-05 14:33:25 EST
I tested Apache on 'Time to ping the server for availability ' with SNMP support disabled. In the inventory is the URL parameter set to: http://localhost:80/

RHEL5.3, x86_64, PostgreSQL8.2.4, java 1.6.0_11, httpd 2.2.3, JON RHQ SVN rev# 3238
Comment 4 Red Hat Bugzilla 2009-11-10 15:27:29 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1182
Imported an attachment (id=368506)
This bug is related to RHQ-1177

Note You need to log in before you can comment on or make changes to this bug.